Skip to main content
GET
Get all users

Authorizations

Authorization
string
header
required

Your organisation's API key, sent as Authorization: my_api_key. The key can also be passed as an api_key query parameter. See Authentication.

Query Parameters

page
integer
default:1

Results page to return

max_per_page
integer
default:25

Maximum number of results per page. Maximum permitted page size is 100. Larger values are reduced to 100.

updated_at
string

Only users updated after this time, in UTC. Use the ISO 8601 form "yyyy-mm-ddThh:mm:ss", eg "2023-02-01T15:12:13". Do not include a time zone offset

Example:

"2023-02-01T15:12:13"

updated_before
string

Only users updated before this time, in UTC. Same form as updated_at, eg "2023-02-01T15:12:13"

Example:

"2023-02-01T15:12:13"

active
string

If empty will show all users. true, 1 or yes returns only active users. false, 0 or no returns only inactive users. Values are case-insensitive. Any other value returns 400.

email
string

Filter by exact email address (case-insensitive), eg "john@myorg.com"

x-[custom field name]
string

Filter by Custom Field value. Replace [custom field name] with the name of the custom field, eg x-city=Brisbane.

Custom Fields can be any of the following types; String, Number, Date or List. A String matches partially: for example, 'hello', 'he' and 'lo' all match a custom field with the value 'hello'. Numbers and Dates match by exact value so 23, would match 23 but not 233, and a Date matches given a format of 'YYYY-MM-DD' ex. '2025-03-20'. Custom Field of type List can also be filtered when given a comma separated list as the value, ex. x-city=Brisbane,Sydney would match all city custom fields with either 'Brisbane' or 'Sydney'. Each List value is a partial match on the list item name, so 'Syd' matches 'Sydney'. The values and custom field names are case insensitive. Unknown custom field names are ignored.

Response

A page of users

total_records
integer

Total number of records

max_per_page
integer

Maximum number of results per page

current_page
integer

Results page returned

total_pages
integer

Total number of pages

records
object[]